=== debian/control ===
Source: ros-kinetic-tuw-aruco
Section: misc
Priority: extra
Maintainer: Lukas Pfeifhofer <lukas.pfeifhofer@devlabs.pro>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-cv-bridge, ros-kinetic-dynamic-reconfigure, ros-kinetic-image-geometry, ros-kinetic-image-transport, ros-kinetic-marker-msgs, ros-kinetic-roscpp, ros-kinetic-rospy, ros-kinetic-std-msgs, ros-kinetic-tf
Homepage: http://wiki.ros.org/tuw_aruco
Standards-Version: 3.9.2

Package: ros-kinetic-tuw-aruco
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-cv-bridge, ros-kinetic-dynamic-reconfigure, ros-kinetic-image-geometry, ros-kinetic-image-transport, ros-kinetic-marker-msgs, ros-kinetic-roscpp, ros-kinetic-rospy, ros-kinetic-std-msgs, ros-kinetic-tf
Description: This is a wrapper around the marker detection library ArUco.
